searchNodes=[{"doc":"Functions for working with the primary Influx v2.x API","ref":"InfluxEx.html","title":"InfluxEx","type":"module"},{"doc":"Get the health of the server Returns :ok if the server is ready to receive read and writes.","ref":"InfluxEx.html#health/1","title":"InfluxEx.health/1","type":"function"},{"doc":"Get the current user information","ref":"InfluxEx.html#me/1","title":"InfluxEx.me/1","type":"function"},{"doc":"Send a query to InfluxDB to run","ref":"InfluxEx.html#query/3","title":"InfluxEx.query/3","type":"function"},{"doc":"Write one more data point(s) to InfluxDB","ref":"InfluxEx.html#write/4","title":"InfluxEx.write/4","type":"function"},{"doc":"Decoder function This function is ran to decode the body of a response","ref":"InfluxEx.html#t:decoder/0","title":"InfluxEx.decoder/0","type":"type"},{"doc":"","ref":"InfluxEx.html#t:error/0","title":"InfluxEx.error/0","type":"type"},{"doc":"The name of a single measurement","ref":"InfluxEx.html#t:measurement/0","title":"InfluxEx.measurement/0","type":"type"},{"doc":"Options used to query InfluxDB When querying InfluxDB, you must either provide an org name or an org id, if both are provided the org name takes precedence. If you configured your InfluxDB.Client.t() with an :org field, that value will be used by default. Otherwise, you must provide one of these values.","ref":"InfluxEx.html#t:query_opt/0","title":"InfluxEx.query_opt/0","type":"type"},{"doc":"Links for a response","ref":"InfluxEx.html#t:response_links/0","title":"InfluxEx.response_links/0","type":"type"},{"doc":"Returned when a list of a resource is returned by the API For example, when you send a request to the /buckets endpoint you will get a list of buckets along with various response links.","ref":"InfluxEx.html#t:response_list/1","title":"InfluxEx.response_list/1","type":"type"},{"doc":"Tables are returned when querying InfluxDB Tables is map with integer key (the table) and a list of InfluxEx.TableRow.t() s as the value. You can think of each table as a new dataset. Normally, when the results are many tables, you have not filtered a tag out in your Flux query.","ref":"InfluxEx.html#t:tables/0","title":"InfluxEx.tables/0","type":"type"},{"doc":"The API token to make requests to the InfluxDB API","ref":"InfluxEx.html#t:token/0","title":"InfluxEx.token/0","type":"type"},{"doc":"Options for writing data points to InfluxDB When writing to InfluxDB, you must either provide an org name or an org id, if both are provided the org name takes precedence. If you configured your InfluxDB.Client.t() with an :org field, that value will be used by default. Otherwise, you must provided one of these values.","ref":"InfluxEx.html#t:write_opt/0","title":"InfluxEx.write_opt/0","type":"type"},{"doc":"Module for working with buckets in InfluxDB","ref":"InfluxEx.Buckets.html","title":"InfluxEx.Buckets","type":"module"},{"doc":"Get all the buckets","ref":"InfluxEx.Buckets.html#all/1","title":"InfluxEx.Buckets.all/1","type":"function"},{"doc":"Create a new bucket","ref":"InfluxEx.Buckets.html#create/3","title":"InfluxEx.Buckets.create/3","type":"function"},{"doc":"Delete a bucket","ref":"InfluxEx.Buckets.html#delete/2","title":"InfluxEx.Buckets.delete/2","type":"function"},{"doc":"Get field keys for a measurement that is in a bucket","ref":"InfluxEx.Buckets.html#get_measurement_field_keys/4","title":"InfluxEx.Buckets.get_measurement_field_keys/4","type":"function"},{"doc":"Get the measurements in a bucket","ref":"InfluxEx.Buckets.html#get_measurements/3","title":"InfluxEx.Buckets.get_measurements/3","type":"function"},{"doc":"Optional fields for creating a bucket You can either provide a list of Bucket.retention_rule() for maxim control over the bucket's data retention rules, or you can provide the short hand Bucket.expires_in() to the :expires_in option. By default the retention will by 30 days if no retention policy is provided. If both the :retention_rules field and the :expires_in field are provided the :retention_rules field will be used.","ref":"InfluxEx.Buckets.html#t:create_bucket_opt/0","title":"InfluxEx.Buckets.create_bucket_opt/0","type":"type"},{"doc":"The primary configuration to talking with InfluxDB The client allows for customizing how JSON, CSV, and HTTP are all handled. By default the client will try to use :jason for JSON, :nimble_csv for CSV, and :req for HTTP requests. To ensure all these libraries are available add these lines to your deps in your mix.exs : { :req , &quot;~&gt; 0.2.0&quot; } , { :jason , &quot;~&gt; 1.0&quot; } , { :nimble_csv , &quot;~&gt; 1.0&quot; } If you prefer to use other libraries you can customize these options. The client is not processed based and the consuming application will need provide any process architecture to manage client state. The reason for this is to allow maximal flexibility around how a consumer will want to call the InfluxEx functions and allow the user to decided if a process is necessary. JSON Library By default Influx.Client will default to using Jason.decode/1 as the decode function. You can pass an InfluxEx.decoder() function to the :json_decoder field when creating a new client. By default Influx.Client will use the :jason library to handle JSON encoding and decoding. If you want to use a different solution you can provide a module that implements the InfluxEx.JSONLibrary behaviour to the :json_library option to InfluxEx.Client.new/2 InfluxEx.Client . new ( &quot;mytoken&quot; , json_library : MyJSONLib ) CSV library By default Influx.Client will use the :nimble_csv library as the CSV library. If you want to provide your own library you can pass the name name of your module, which implements the InfluxEx.CSVLibrary behaviour to the :csv_library option when calling InfluxEx.Client.new/2 . It's important to keep the CSV headers, so if your custom function tries to skip headers you might have to wrap the function in order to pass options to your decoder to keep the headers. InfluxEx.Client . new ( &quot;mytoken&quot; , csv_library : MyCSVLibrary ) HTTP library InfluxEx provides a behaviour for supporting different HTTP clients. You can wrap your chosen HTTP client in the InfluxEx.HTTP behaviour and configure the client to use your implementation. By default InfluxEx using req. InfluxEx.Client . new ( &quot;mytoken&quot; , http_client : MyHTTPLibraryImplementation )","ref":"InfluxEx.Client.html","title":"InfluxEx.Client","type":"module"},{"doc":"","ref":"InfluxEx.Client.html#new/2","title":"InfluxEx.Client.new/2","type":"function"},{"doc":"","ref":"InfluxEx.Client.html#t:opt/0","title":"InfluxEx.Client.opt/0","type":"type"},{"doc":"Client data structure :token - the API token provided by InfluxDB (required) :host - the host name for the InfluxDB server, defaults to localhost :port - the port number for the InfluxDB server, defaults to 8086 :json_library - a module that provides functionality for encoding and decoding JSON :csv_library - a module that implements the InfluxEx.CSVLibrary :http_client - a module that implements the InfluxEx.HTTP behaviour, by default this will try to use the InfluxEx.HTTP.Req module. :org - the name of the organization inside of the InfluxDB server. :org_id the org id of the organization inside of the InfluxDB server.","ref":"InfluxEx.Client.html#t:t/0","title":"InfluxEx.Client.t/0","type":"type"},{"doc":"Functions to build Flux queries Current time related functionality only supports flux's duration types, for this is a value such has 15m . Where 15 is the number of the unit that follows, which in this case is m meaning minutes. For more information about duration types see the Flux docs . The %InfluxEx.Flux{} struct implements the String.Chars protocol which allows to_string/1 to be called on the structure.","ref":"InfluxEx.Flux.html","title":"InfluxEx.Flux","type":"module"},{"doc":"Add an aggregate window","ref":"InfluxEx.Flux.html#aggregate_window/3","title":"InfluxEx.Flux.aggregate_window/3","type":"function"},{"doc":"Set which field the query is for &quot;my_bucket&quot; |&gt; InfluxEx.Flux . from ( ) |&gt; InfluxEx.Flux . range ( &quot;-15m&quot; ) |&gt; InfluxEx.Flux . measurement ( &quot;cpu&quot; ) |&gt; InfluxEx.Flux . field ( &quot;average&quot; )","ref":"InfluxEx.Flux.html#field/2","title":"InfluxEx.Flux.field/2","type":"function"},{"doc":"Fill missing values with the previous one This is useful for setting the :create_empty field to true when using Flux.aggregate_window/3 . &quot;my bucket&quot; |&gt; InfluxEx.Flux . from ( ) |&gt; InfluxEx.Flux . range ( &quot;-1d&quot; ) |&gt; InfluxEx.Flux . measurement ( &quot;cpu&quot; ) |&gt; InfluxEx.Flux . field ( &quot;average&quot; ) |&gt; InfluxEx.Flux . aggregate_window ( &quot;1h&quot; , create_empty : true ) |&gt; InfluxEx.Flux . fill_value_previous ( ) The above query will return tables with data over the last day averaged in one hour intervals. Where there's missing data points, the query will fill the value with the last data point's value.","ref":"InfluxEx.Flux.html#fill_value_previous/1","title":"InfluxEx.Flux.fill_value_previous/1","type":"function"},{"doc":"Set the bucket for the query This function starts a new flux query. InfluxEx.Flux . from ( &quot;my bucket&quot; )","ref":"InfluxEx.Flux.html#from/1","title":"InfluxEx.Flux.from/1","type":"function"},{"doc":"Set the measurement name to query for &quot;my_bucket&quot; |&gt; InfluxEx.Flux . from ( ) |&gt; InfluxEx.Flux . range ( &quot;-15m&quot; ) |&gt; InfluxEx.Flux . measurement ( &quot;cpu&quot; )","ref":"InfluxEx.Flux.html#measurement/2","title":"InfluxEx.Flux.measurement/2","type":"function"},{"doc":"Set the time range for the query To query a bucket over the last 15 minutes, you can use range/3 : &quot;my_bucket&quot; |&gt; InfluxEx.Flux . from ( ) |&gt; InfluxEx.Flux . range ( &quot;-15m&quot; )","ref":"InfluxEx.Flux.html#range/3","title":"InfluxEx.Flux.range/3","type":"function"},{"doc":"Run the flux query","ref":"InfluxEx.Flux.html#run_query/3","title":"InfluxEx.Flux.run_query/3","type":"function"},{"doc":"Set a tag to filter against","ref":"InfluxEx.Flux.html#tag/3","title":"InfluxEx.Flux.tag/3","type":"function"},{"doc":"","ref":"InfluxEx.Flux.html#t:aggregate_selector/0","title":"InfluxEx.Flux.aggregate_selector/0","type":"type"},{"doc":"","ref":"InfluxEx.Flux.html#t:aggregate_window/0","title":"InfluxEx.Flux.aggregate_window/0","type":"type"},{"doc":"","ref":"InfluxEx.Flux.html#t:aggregate_window_opt/0","title":"InfluxEx.Flux.aggregate_window_opt/0","type":"type"},{"doc":"Data structure for a flux query","ref":"InfluxEx.Flux.html#t:t/0","title":"InfluxEx.Flux.t/0","type":"type"},{"doc":"Module for working with organizations in InfluxDB","ref":"InfluxEx.Orgs.html","title":"InfluxEx.Orgs","type":"module"},{"doc":"Get a list of orgs Optionally you can filter for an org by the org name by passing the :org option. InfluxEx . orgs ( client , org : &quot;theorg&quot; )","ref":"InfluxEx.Orgs.html#all/2","title":"InfluxEx.Orgs.all/2","type":"function"},{"doc":"Create a new org in the InfluxDB","ref":"InfluxEx.Orgs.html#create/3","title":"InfluxEx.Orgs.create/3","type":"function"},{"doc":"Delete an org","ref":"InfluxEx.Orgs.html#delete/2","title":"InfluxEx.Orgs.delete/2","type":"function"},{"doc":"Options for creating an org","ref":"InfluxEx.Orgs.html#t:create_org_opt/0","title":"InfluxEx.Orgs.create_org_opt/0","type":"type"},{"doc":"Options for searching orgs","ref":"InfluxEx.Orgs.html#t:search_opt/0","title":"InfluxEx.Orgs.search_opt/0","type":"type"},{"doc":"A single data point","ref":"InfluxEx.Point.html","title":"InfluxEx.Point","type":"module"},{"doc":"Add field to the point Fields are the values you want to track over time. You can think of these as the metric values. &quot;cpu&quot; |&gt; InfluxEx.Point . new ( ) |&gt; InfluxEx.Point . add_field ( &quot;avg&quot; , 5 ) The above point is for the average CPU usage. A single point can container many fields. &quot;cpu&quot; |&gt; InfluxEx.Point . new ( ) |&gt; InfluxEx.Point . add_field ( &quot;avg&quot; , 5 ) |&gt; InfluxEx.Point . add_field ( &quot;last_reading&quot; , 10 ) If you have all the measurements at once you can use InfluxEx.Point.add_fields/2 .","ref":"InfluxEx.Point.html#add_field/3","title":"InfluxEx.Point.add_field/3","type":"function"},{"doc":"Add many fields at once &quot;cpu&quot; |&gt; InfluxEx.Point . new ( ) |&gt; InfluxEx.Point . add_fields ( %{ avg : 5 , last_reading : 10 } )","ref":"InfluxEx.Point.html#add_fields/2","title":"InfluxEx.Point.add_fields/2","type":"function"},{"doc":"Add a tag to your point Tags are meta data about your point. For example, maybe the location of a device you are reading data from. &quot;cpu&quot; |&gt; InfluxEx.Point . new ( ) |&gt; InfluxEx.Point . add_tag ( :location , &quot;EU&quot; ) You can add many tags at once using InfluxEx.Point.add_tags/2","ref":"InfluxEx.Point.html#add_tag/3","title":"InfluxEx.Point.add_tag/3","type":"function"},{"doc":"Add many tags to your point at once Tags are meta data about your point. For example, maybe the location of a device you are reading data from. &quot;cpu&quot; |&gt; InfluxEx.Point . new ( ) |&gt; InfluxEx.Point . add_tags ( %{ location : &quot;EU&quot; , product : &quot;Awesome Product&quot; } ) You can add many tags at once using InfluxEx.Point.add_tags/2","ref":"InfluxEx.Point.html#add_tags/2","title":"InfluxEx.Point.add_tags/2","type":"function"},{"doc":"Make a new point for a measurement InfluxEx.Point . new ( &quot;cpu&quot; )","ref":"InfluxEx.Point.html#new/2","title":"InfluxEx.Point.new/2","type":"function"},{"doc":"Turn the point into the line protocol format expected by the InfluxDB","ref":"InfluxEx.Point.html#to_line_protocol/1","title":"InfluxEx.Point.to_line_protocol/1","type":"function"},{"doc":"","ref":"InfluxEx.Point.html#t:opt/0","title":"InfluxEx.Point.opt/0","type":"type"},{"doc":"","ref":"InfluxEx.Point.html#t:t/0","title":"InfluxEx.Point.t/0","type":"type"},{"doc":"Rows for a response table These are normally contained in a InfluxEx.tables() data structure and represents a single row in a table.","ref":"InfluxEx.TableRow.html","title":"InfluxEx.TableRow","type":"module"},{"doc":"Turn a single row of a table CSV into an InfluxEx.TableRow.t()","ref":"InfluxEx.TableRow.html#from_csv_row/2","title":"InfluxEx.TableRow.from_csv_row/2","type":"function"},{"doc":"Data structure for table row","ref":"InfluxEx.TableRow.html#t:t/0","title":"InfluxEx.TableRow.t/0","type":"type"},{"doc":"Behaviour for HTTP clients By default InfluxEx will try to use the Mojito library to make HTTP requests, however, if you prefer or use another HTTP library you can implement this behaviour for your HTTP library to integer with InfluxEx","ref":"InfluxEx.HTTP.html","title":"InfluxEx.HTTP","type":"behaviour"},{"doc":"Send a request InfluxEx tries to all the heavy lifting for you, so you only have to worry about sending the request. For building the response you only need to pass through the status code and the body. You don't need to worry about parsing the body as InfluxEx can handle that in a generic way.","ref":"InfluxEx.HTTP.html#c:send_request/4","title":"InfluxEx.HTTP.send_request/4","type":"callback"},{"doc":"","ref":"InfluxEx.HTTP.html#t:status_code/0","title":"InfluxEx.HTTP.status_code/0","type":"type"},{"doc":"A module that implements the HTTP behaviour","ref":"InfluxEx.HTTP.html#t:t/0","title":"InfluxEx.HTTP.t/0","type":"type"},{"doc":"InfluxEx.HTTP implementation for the Req library","ref":"InfluxEx.HTTP.Req.html","title":"InfluxEx.HTTP.Req","type":"module"},{"doc":"A request to InfluxDB","ref":"InfluxEx.HTTP.Request.html","title":"InfluxEx.HTTP.Request","type":"module"},{"doc":"Make a new Request.t()","ref":"InfluxEx.HTTP.Request.html#new/2","title":"InfluxEx.HTTP.Request.new/2","type":"function"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#run/2","title":"InfluxEx.HTTP.Request.run/2","type":"function"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:headers/0","title":"InfluxEx.HTTP.Request.headers/0","type":"type"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:method/0","title":"InfluxEx.HTTP.Request.method/0","type":"type"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:opt/0","title":"InfluxEx.HTTP.Request.opt/0","type":"type"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:payload/0","title":"InfluxEx.HTTP.Request.payload/0","type":"type"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:request_handler/0","title":"InfluxEx.HTTP.Request.request_handler/0","type":"type"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:t/0","title":"InfluxEx.HTTP.Request.t/0","type":"type"},{"doc":"","ref":"InfluxEx.HTTP.Request.html#t:url/0","title":"InfluxEx.HTTP.Request.url/0","type":"type"},{"doc":"A response from the InfluxDB server","ref":"InfluxEx.HTTP.Response.html","title":"InfluxEx.HTTP.Response","type":"module"},{"doc":"Make a new response structure","ref":"InfluxEx.HTTP.Response.html#new/2","title":"InfluxEx.HTTP.Response.new/2","type":"function"},{"doc":"","ref":"InfluxEx.HTTP.Response.html#t:t/0","title":"InfluxEx.HTTP.Response.t/0","type":"type"},{"doc":"Data structure for a Bucket in InfluxDB","ref":"InfluxEx.Bucket.html","title":"InfluxEx.Bucket","type":"module"},{"doc":"Build a Bucket from a lose map returned from the InfluxDB API","ref":"InfluxEx.Bucket.html#from_map/1","title":"InfluxEx.Bucket.from_map/1","type":"function"},{"doc":"When data should expire in a bucket This is useful for creating bucket as a short hand to generate a retention_rule()","ref":"InfluxEx.Bucket.html#t:expires_in/0","title":"InfluxEx.Bucket.expires_in/0","type":"type"},{"doc":"The id of a bucket","ref":"InfluxEx.Bucket.html#t:id/0","title":"InfluxEx.Bucket.id/0","type":"type"},{"doc":"","ref":"InfluxEx.Bucket.html#t:links/0","title":"InfluxEx.Bucket.links/0","type":"type"},{"doc":"Name of a bucket","ref":"InfluxEx.Bucket.html#t:name/0","title":"InfluxEx.Bucket.name/0","type":"type"},{"doc":"Data retention rule for the bucket :every_seconds - duration in seconds for how long data will be kept in the database. 0 means infinite. :shared_group_duration_seconds - shard duration measured in seconds :type - is :expire","ref":"InfluxEx.Bucket.html#t:retention_rule/0","title":"InfluxEx.Bucket.retention_rule/0","type":"type"},{"doc":"","ref":"InfluxEx.Bucket.html#t:schema_type/0","title":"InfluxEx.Bucket.schema_type/0","type":"type"},{"doc":"","ref":"InfluxEx.Bucket.html#t:t/0","title":"InfluxEx.Bucket.t/0","type":"type"},{"doc":"The type of the bucket :user - a user created this bucket :system - a bucket that is crated and used by InfluxDB","ref":"InfluxEx.Bucket.html#t:type/0","title":"InfluxEx.Bucket.type/0","type":"type"},{"doc":"Data structure for the current user using the InfluxDB API","ref":"InfluxEx.Me.html","title":"InfluxEx.Me","type":"module"},{"doc":"Transform a map returned from InfluxDB API into a InfluxEx.Me.t()","ref":"InfluxEx.Me.html#from_map/1","title":"InfluxEx.Me.from_map/1","type":"function"},{"doc":"Links to other resources for the current user","ref":"InfluxEx.Me.html#t:links/0","title":"InfluxEx.Me.links/0","type":"type"},{"doc":"The status of the current user","ref":"InfluxEx.Me.html#t:status/0","title":"InfluxEx.Me.status/0","type":"type"},{"doc":"","ref":"InfluxEx.Me.html#t:t/0","title":"InfluxEx.Me.t/0","type":"type"},{"doc":"Data structure for an Org in InfluxDB","ref":"InfluxEx.Org.html","title":"InfluxEx.Org","type":"module"},{"doc":"","ref":"InfluxEx.Org.html#from_map/1","title":"InfluxEx.Org.from_map/1","type":"function"},{"doc":"","ref":"InfluxEx.Org.html#t:id/0","title":"InfluxEx.Org.id/0","type":"type"},{"doc":"","ref":"InfluxEx.Org.html#t:links/0","title":"InfluxEx.Org.links/0","type":"type"},{"doc":"","ref":"InfluxEx.Org.html#t:name/0","title":"InfluxEx.Org.name/0","type":"type"},{"doc":"","ref":"InfluxEx.Org.html#t:status/0","title":"InfluxEx.Org.status/0","type":"type"},{"doc":"","ref":"InfluxEx.Org.html#t:t/0","title":"InfluxEx.Org.t/0","type":"type"},{"doc":"Behaviour for a JSON library that InfluxEx can use to encode and decode JSON payloads","ref":"InfluxEx.JSONLibrary.html","title":"InfluxEx.JSONLibrary","type":"behaviour"},{"doc":"Parse a JSON encoded string into an Elixir map","ref":"InfluxEx.JSONLibrary.html#c:decode/1","title":"InfluxEx.JSONLibrary.decode/1","type":"callback"},{"doc":"Encode an Elixir map into a JSON encoded string","ref":"InfluxEx.JSONLibrary.html#c:encode/1","title":"InfluxEx.JSONLibrary.encode/1","type":"callback"},{"doc":"A module that implements this behaviour","ref":"InfluxEx.JSONLibrary.html#t:t/0","title":"InfluxEx.JSONLibrary.t/0","type":"type"},{"doc":"Default CSV support for InfluxEx This uses :nimble_csv so you must add that library to your dependency list in your mix.exs : { :nimble_csv , &quot;~&gt; 1.0&quot; }","ref":"InfluxEx.CSV.html","title":"InfluxEx.CSV","type":"module"},{"doc":"Behaviour for a CSV library to implement By default InfluxEx will try to use InfluxEx.CSV which using :nimble_csv under the hood. If you want to use a different CSV library you can implement this behaviour for your library and pass the implementation module to the :csv_library option in InfluxEx.Client.new/2 .","ref":"InfluxEx.CSVLibrary.html","title":"InfluxEx.CSVLibrary","type":"behaviour"},{"doc":"Parse a CSV string into a list of rows (lists)","ref":"InfluxEx.CSVLibrary.html#c:parse_string/1","title":"InfluxEx.CSVLibrary.parse_string/1","type":"callback"},{"doc":"A modules that implements this behaviour","ref":"InfluxEx.CSVLibrary.html#t:t/0","title":"InfluxEx.CSVLibrary.t/0","type":"type"},{"doc":"Module for generating series of data, mostly useful for development and test","ref":"InfluxEx.GenData.html","title":"InfluxEx.GenData","type":"module"},{"doc":"Generate data to be written to the InfluxDB By default this will generate enough data points for the last 5 minutes. Currently, only minute time windows are supported. By default the precision is in seconds and when writing the data using InfluxEx.write/4 you will to pass the :precision option as :second .","ref":"InfluxEx.GenData.html#generate/3","title":"InfluxEx.GenData.generate/3","type":"function"},{"doc":"","ref":"InfluxEx.GenData.html#generate_vm_memory_metrics/1","title":"InfluxEx.GenData.generate_vm_memory_metrics/1","type":"function"},{"doc":"Define fields and what value(s) a field can contain Random generated value If you want the generation code to generate an integer for you just have to specify the name of the field InfluxDB.GenData . generate ( &quot;my.measurement&quot; , [ :temp , :humidity ] ) Specific value If you want all the values of a field to be the same you can specify that by passing that value with the field name: InfluxDB.GenData . generate ( &quot;my.measurement&quot; , [ { :temp , 100 } , { :humidity , 50 } ] ) With a range of values If you want the fields to be in a specific range you can you pass the range along with the field name: InfluxDB.GenData . generate ( &quot;my.measurement&quot; , [ { :temp , - 20 .. 130 } ] ) Values within the range are selected randomly. With a group of values If you have a known list of possible values you can pass a that list along with the field name: InfluxDB.GenData . generate ( &quot;my.measurement&quot; , [ { :temp , [ 1 , 5 , 10 ] } ] )","ref":"InfluxEx.GenData.html#t:field_def/0","title":"InfluxEx.GenData.field_def/0","type":"type"},{"doc":"Options to use when generating the data","ref":"InfluxEx.GenData.html#t:gen_opt/0","title":"InfluxEx.GenData.gen_opt/0","type":"type"},{"doc":"A list of the unique tag sets to use to generate the data points","ref":"InfluxEx.GenData.html#t:tags/0","title":"InfluxEx.GenData.tags/0","type":"type"},{"doc":"Define how after back the time window can go in minutes","ref":"InfluxEx.GenData.html#t:window_def/0","title":"InfluxEx.GenData.window_def/0","type":"type"},{"doc":"Exception for when an entity already exists in the database","ref":"InfluxEx.ConflictError.html","title":"InfluxEx.ConflictError","type":"exception"},{"doc":"","ref":"InfluxEx.ConflictError.html#t:t/0","title":"InfluxEx.ConflictError.t/0","type":"type"},{"doc":"Generic Error","ref":"InfluxEx.GenericError.html","title":"InfluxEx.GenericError","type":"exception"},{"doc":"","ref":"InfluxEx.GenericError.html#t:t/0","title":"InfluxEx.GenericError.t/0","type":"type"},{"doc":"","ref":"InfluxEx.InvalidPayloadError.html","title":"InfluxEx.InvalidPayloadError","type":"exception"},{"doc":"","ref":"InfluxEx.InvalidPayloadError.html#t:t/0","title":"InfluxEx.InvalidPayloadError.t/0","type":"type"},{"doc":"Error for when the resource is not found","ref":"InfluxEx.NotFoundError.html","title":"InfluxEx.NotFoundError","type":"exception"},{"doc":"","ref":"InfluxEx.NotFoundError.html#t:t/0","title":"InfluxEx.NotFoundError.t/0","type":"type"},{"doc":"Library for working with the v2.X InfluxDB API .","ref":"readme.html","title":"InfluxEx","type":"extras"},{"doc":"def deps do [ { :influx_ex , &quot;~&gt; 0.2.0&quot; } , # below are optional deps but InfluxEx will try to use them as defaults so # if you are okay with these defaults ensure they are added in your deps as # well. { :req , &quot;~&gt; 0.2.0&quot; } { :jason , &quot;~&gt; 1.0&quot; } , { :nimble_csv , &quot;~&gt; 1.0&quot; } ] end","ref":"readme.html#installation","title":"InfluxEx - Installation","type":"extras"},{"doc":"To get started quickly you need to add these optional dependencies to your deps: { :req , &quot;~&gt; 0.2.0&quot; } { :jason , &quot;~&gt; 1.0&quot; } , { :nimble_csv , &quot;~&gt; 1.0&quot; } After adding these to your dependencies run mix deps.get Then run docker-compose up -d to start a InfluxDB container which will be reachable at http://localhost:8086 . Next lets check the current user but running iex -S mix and typing: client = InfluxEx.Client . new ( &quot;devtoken&quot; ) InfluxEx . me ( client ) { :ok , % InfluxEx.Me { } } If you don't want to use the default libraries for HTTP, JSON, and CSV see the configuration section below for more information. If you're using docker-compose , the development token is &quot;devtoken&quot; and during tests the token is &quot;testtoken&quot; .","ref":"readme.html#setup","title":"InfluxEx - Setup","type":"extras"},{"doc":"InfluxEx does not provide a process based client. This provided the most flexibility to consuming applications to decide if a process is needed or not for managing state. If you want the client to be in a process here's a stub of what that might look like to get you started: defmodule MyApp.InfluxClient do use GenServer alias InfluxEx . { Client , Orgs } @type arg ( ) :: { :token , InfluxEx . token ( ) } | { :org , Orgs . name ( ) } | { :org_id , Orgs . id ( ) } | { :port , :inet . port_number ( ) } | { :host , :inet . hostname ( ) } @doc &quot;&quot;&quot; Start the client &quot;&quot;&quot; @spec start_link ( [ arg ( ) ] ) :: GenServer . on_start ( ) def start_link ( args ) do GenServer . start_link ( __MODULE__ , args , name : __MODULE__ ) end @impl GenServer def init ( args ) do # required args token = Keyword . fetch! ( args , :token ) org = Keyword . fetch! ( args , :org ) org_id = Keyword . fetch! ( args , :org_id ) # optional args port = Keyword . get ( args , :port ) || 8086 host = Keyword . get ( args , :host ) || &quot;http://localhost&quot; client = Client . new ( token , port : port , host : host , org : org , org_id : org_id ) { :ok , %{ client : client } } end end","ref":"readme.html#client","title":"InfluxEx - Client","type":"extras"},{"doc":"HTTP Client The InfluxDB API uses the HTTP protocol. By default InfluxEx will try to use Req to make HTTP request. If you want to use Req you will need to add it to your deps in your mix.exs file. { :req , &quot;~&gt; 0.2.0&quot; } If you use a different HTTP library you can provide the client with a module that implements the InfluxEx.HTTP behaviour that wraps your preferred HTTP library. my_client = InfluxEx.Client . new ( &quot;mytoken&quot; , http_client : MyHTTPClient ) JSON Library The InfluxDB API using JSON format to communicate data between the client and server. InfluxEx needs away to encode and decode the JSON payloads to and from Elixir data types. By default InfluxEx will try to use the Jason library. To use this default you need to add :jason to you deps in your mix.exs : { :jason , &quot;~&gt; 1.0&quot; } , If you want to use a different JSON library pass a module name into the :json_library option when creating a client. Ensure that the module implements the InfluxEx.JSONLibrary behaviour. InfluxEx.Client . new ( &quot;mytoken&quot; , json_library : MyJSONLibrary ) CSV Library For some API calls the InfluxDB API requires working with the CSV content type. By default InfluxEx will try to use the :nimble_csv library. If you are okay with default you need to add this to your mix.exs file: { :nimble_csv , &quot;~&gt; 1.0&quot; } If you want to use a different decoder you can supply that to InfluxEx.Client.new/2 . If you want to use a different library you can supply a module that implements InfluxEx.CSVLibrary to your client using the :csv_library option: InfluxEx.Client . new ( &quot;mytoken&quot; , csv_library : MyCSVLibrary ) One important note about using a custom CSV library is the parse_string/1 callback implementation needs to keep the CSV headers as InfluxEx needs them to ensure it handles tag names and values correctly.","ref":"readme.html#configuration","title":"InfluxEx - Configuration","type":"extras"},{"doc":"This project follows Semantic Versioning .","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"Breaking change: Mojito library was deprecated, so we removed first class support for it. This will effect your dependencies. We have decided to use the Req as it is built on top of Finch and allows us to keep the default API simple. To upgrade you will need to remove :mojito from you dependencies are replace it with {:req, &quot;~&gt; 0.2.2} , if you are using the default HTTP client that InfluxEx uses. If you're using a custom HTT client you can ignore this and safely update. Changed Removed support for Mojito HTTP library The InfluxEx.HTTP.Req client is the default client used by InfluxEx Added InfluxEx.HTTP.Req client Removed InfluxEx.HTTP.Mojito","ref":"changelog.html#v0-2-0-2022-05-23","title":"CHANGELOG - v0.2.0 - 2022-05-23","type":"extras"},{"doc":"Fixed Influx.Flux.run_query/2 add query opts to type spec InfluxEx.Flux.run_query/2 wrong return error type in spec","ref":"changelog.html#v0-1-1-2022-05-19","title":"CHANGELOG - v0.1.1 - 2022-05-19","type":"extras"},{"doc":"Initial release!","ref":"changelog.html#v0-1-0-2022-05-12","title":"CHANGELOG - v0.1.0 - 2022-05-12","type":"extras"}]